Erreur javascript systématique sur une version locale de ZDS

Due à Node.JS ?

L'auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Bonsoir les gens !

Aujourd'hui, je me suis donc relancé dans le dev', et j'ai tout réinstallé. Dans la partie de la doc sur le front, il est dit d'installer au moins la version 4 de node.js, et comme c'est par défaut la "0.10" qui est installée sur ubuntu, je fais donc ma mise à jour (via la procédure décrite ici, donc un PPA). Au final, j'obtient,

1
2
3
4
$ node -v
v4.6.0
$ npm -v
3.10.8

Cool. Ce qui l'est moins, c'est qu'après avoir fait le make build-front d'usage, dès que je me rend sur une page qui emploi du javascript (genre n'importe quel sujet de forum ou n'importe quel tuto/article en brouillon), Firefox et Chrome me lâchent une erreur du genre Uncaught Error: Syntax error, unrecognized expression: [href=#qqch]:first.

J'ai fait mes petites recherches, et j'arrive sur cette discussion ou en gros, on dit que l'expression devrait être [href="#qqch"]:first (si je comprend bien).

Donc est ce que c'est moi qui ai mal installé un truc, ou est ce que c'est un futur problème que j'ai en primeur parce que je fait une installation from scratch ?

Doctorant et assistant en chimie à l'Université de NamurEx-dev' pour ZdS (a aidé à réaliser la ZEP-12 !) • Carniste cis (y parait que c'est une injure)

+1 -0

Je n'avais pas été regarder la console et j'ai le problème aussi.

Pour savoir, est-ce que tu arrives à faire la procédure suivante sur une instance locale :

  • Connexion avec admin/admin.
  • Création d'un contenu.
  • Envoi en validation.

Chez moi, le dernier point ne fait rien. Je pensais que c'était un mauvais build du front chez moi mais il se pourrait bien qu'il y a là une réelle régression finalement.

+0 -0
Auteur du sujet

Envoi en validation.

Je n'y arrive pas non plus. Pour valider la dernière PR en date (qui demandais justement d'envoyer en validation), j'ai du taper la requête POST "à la main" dans Postman. C'est donc reproductible …

Doctorant et assistant en chimie à l'Université de NamurEx-dev' pour ZdS (a aidé à réaliser la ZEP-12 !) • Carniste cis (y parait que c'est une injure)

+0 -0
Auteur du sujet

T'as quelle version de node et est ce que tu peux réserver un tuto ?

[…] et à part le paquet libturbojpeg qui s'apelle pas pareil […]

C'est pas forcément de notre faute, chaipas ce qu'ils foutent chez ubuntu, mais ce paquet change de nom toutes les versions (c'est déjà moi qui avait fait changer pour libturboquelquechose). Une histoire de licence, si je pige bien.

Édité par pierre_24

Doctorant et assistant en chimie à l'Université de NamurEx-dev' pour ZdS (a aidé à réaliser la ZEP-12 !) • Carniste cis (y parait que c'est une injure)

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte